/*
 *  filter.h - Filtering mechanism
 *  
 *  Robert Cheramy <tibob@via.ecp.fr>, 1999
 */

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef FILTER_H
#define FILTER_H

struct s_host {
  u_int32_t ip;
  u_int32_t mask;
};

struct s_filter {
  struct s_filter *next;
  int             log;               /* 1 (TRUE) => LOG; 0 (FALSE) => IGNORE */
  struct s_host   host;                                  /* IP Domain to log */
};

void dofilter(struct iphdr *p_packet);
void configure(char *configfile);

#endif
