.\" -*-nroff-*-
.\"
.\"     Copyright (C) 1999 Robert CHERAMY <tibob@via.ecp.fr>
.\"
.\"     This program is free software; you can redistribute it and/or modify
.\"     it under the terms of the GNU General Public License as published by
.\"     the Free Software Foundation; either version 2 of the License, or
.\"     (at your option) any later version.
.\"
.\"     This program is distributed in the hope that it will be useful,
.\"     but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"     GNU General Public License for more details.
.\"
.\"     You should have received a copy of the GNU General Public License
.\"     along with this program; if not, write to the Free Software
.\"     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.TH IPFM 8 "Last change: 2 May 1999"

.SH NAME

ipfm.conf \- IP Flow Meter configuration file

.SH DESCRIPTION

.I ipfm.conf is
.BR ipfm
configuration file.

A hash mark (``#'') indicates that the end of the line is a comment
and it will therefore not be read.

The configuration rules will be interpreted from the end, and the first
matching rule will be used, unless specified here.

.SH HOSTS TO LOG
.BR ipfm
logs only specified hosts.

.B Syntax:
LOG|IGNORE <host>

.I <host>
can be :
  x.x.x.x         : an IP
  x.x.x.x/x.x.x.x : an IP folowed by a subnet mask

.PP
.SH TIME DELAY
.BR ipfm
outputs its statistics after a fixed time.

.B Syntax:
TIME <time>

.I <time>
is composed of :
  <number> second
  <number> minute
  <number> hour
  <number> day

.B Example:
TIME 1 hour 30 minute

.PP
.SH LOG FILENAME
Every delay,
.B ipfm
write its output to a file, wich name is specified by the rule
.I FILEMANE

.B Syntax:
FILENAME <filemask>

<filemask> is a string that is parsed using
.BR stfrtime(3)
syntax.

.SH SEE ALSO
.BR stfrtime(3)

.SH AUTHOR
Robert CHERAMY <tibob@via.ecp.fr>
